package com.iamberry.wechat.service.home.dao;

import com.iamberry.wechat.core.entity.drp.PlaceInfo;
import com.iamberry.wechat.core.entity.member.Member;

public interface HomeServiceDao {
	
	/**
	 * 根据用户Openid，获取会员信息
	 * @param openid
	 * @return
	 */
	public Member selectMemberInfoByOpenId(String openid);

	/**
	 * 根据用户Openid，修改微信获取到的信息
	 * @param member 会员信息实体类
	 * @return
	 */
	public Integer updateWechatMemberInfoByByOpenid(Member member);

	/**
	 * 添加会员信息
	 * @param member
	 * @return
	 */
	public Integer insertMemberInfo(Member member);

	/**
	 * 根据用户openid，更新用户的上线
	 * @param member
	 * @return
	 */
	public Integer updateUserResAndTypeByOpenid(Member member);

	/**
	 * 根据Openid，更新用户状态为取消关注状态
	 * @param openid
	 * @return
	 */
	public Integer updateMemberStatusByOpenId(String openid);

	/**
	 * 根据用户Openid获取用户二维码(不一定有)
	 * @param openid
	 * @return
	 */
	public Member selectMemberQrcodeUrlByOpenid(String openid);

	/**
	 * 修改用户所属二维码
	 * @param member
	 * @return
	 */
	public Integer updateMemberQrcodeByOpenid(Member member);

	/**
	 * 根据code，获取代理信息（ID）
	 * @param code
	 * @return
	 */
	public PlaceInfo selectOnePlaceInfoByCode(String code);

	/**
	 * 修改代理商的openid
	 * @param info
	 * @return
	 */
	public Integer updateOpenidById(PlaceInfo info);

	/**
	 * 根据openid，获取用户可用积分
	 * @param openid
	 * @return
	 */
	public Integer selectUserIntegralByOpenid(String openid);

	/**
	 * 根据代理商ID，获取激活此代理商的用户信息
	 * @param placeId
	 * @return
	 */
	public Member selectUserInfoByPlaceId(Integer placeId);
}
